Delete Webhook Endpoint
Intent
Removes the webhook endpoint.
When to call it
Call this only after your application has identified the webhook endpoint that should be removed.
Access boundary
Authorize the request with a token that carries webhooks:write.
Successful result
A successful request returns 204 without a response document.
DELETE
/
v1
/
webhooks
/
endpoints
/
{id}
Delete Webhook Endpoint
curl --request DELETE \
--url https://api.getruba.com/v1/webhooks/endpoints/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getruba.com/v1/webhooks/endpoints/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getruba.com/v1/webhooks/endpoints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}⌘I
Delete Webhook Endpoint
